Debian セキュリティ勧告

DSA-261-1 tcpdump -- 無限ループ

報告日時:
2003-03-14
影響を受けるパッケージ:
tcpdump
危険性:
あり
参考セキュリティデータベース:
(SecurityFocus の) Bugtraq データベース: BugTraq ID 7090.
Mitre の CVE 辞書: CVE-2003-0093, CVE-2003-0145.
詳細:

tcpdump (ネットワークモニタリングとデータ収集のための 強力なツール) に問題が発見されました。 攻撃者は、特別に作った RADIUS ネットワークパケットを 送りつけることによって、tcpdump を無限ループに 陥らせることが可能です。

安定版 (stable) (woody) では、この問題はバージョン 3.6.2-2.4 で修正されています。

旧安定版 (potato) は、この問題の影響を受けないようです。

不安定版 (unstable) (sid) は、この問題の影響を受けないようです。

tcpdump パッケージをアップグレードすることをお勧めします。

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4.dsc
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4.diff.gz
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.4_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。